wayland::server::region_t(3)

NAME
wayland::server::region_t - region interface

SYNOPSIS

#include <wayland-server-protocol.hpp>

  Public Member Functions

std::function< void()> & on_destroy ()
destroy region
std::function< void(int32_t, int32_t, int32_t, int32_t)> & on_add ()
add rectangle to region
std::function< void(int32_t, int32_t, int32_t, int32_t)> & on_subtract ()
subtract rectangle from region
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

Detailed Description

region interface

A region object describes an area.

Region objects are used to describe the opaque and input regions of a surface.

Definition at line 4043 of file wayland-server-protocol.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void(int32_t, int32_t, int32_t, int32_t)> & region_t::on_add ()

add rectangle to region

Parameters
    x region-local x coordinate
    y region-local y coordinate
    width rectangle width
    height rectangle height

Add the specified rectangle to the region.

Definition at line 3048 of file wayland-server-protocol.cpp.

  std::function< void()> & region_t::on_destroy ()

destroy region Destroy the region. This will invalidate the object ID.

Definition at line 3042 of file wayland-server-protocol.cpp.

  std::function< void(int32_t, int32_t, int32_t, int32_t)> & region_t::on_subtract ()

subtract rectangle from region

Parameters
    x region-local x coordinate
    y region-local y coordinate
    width rectangle width
    height rectangle height

Subtract the specified rectangle from the region.

Definition at line 3054 of file wayland-server-protocol.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Author

Generated automatically by Doxygen for Wayland++ from the source code.